Subject: [os2genau_digest] No. 1965
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 11 Jun 2010 00:00:13 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 10 June 2010
 Number  1965
**************************************************

Subjects for today
 
1  Re:  How to install IBM Works? : Peter Moylan <peter at pmoylan dot org>
1  Re:  How to install IBM Works? : Wayne <smee.wayne at gmail dot com>

**= Email   1 ==========================**

Date:  Thu, 10 Jun 2010 00:15:39 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  How to install IBM Works?

Nicholas Lysaght wrote:
>
>> I now know why I lost all my data. The IBM Installer for IBM Works
>> doesn't give you a choice of which partition to put it on, so it
>> ends up on drive C:, which is the one place you should never put
>> personal files. (Because you'll lose them on a system upgrade. I
>> don't put application files there either.) I thought that Microsoft
>> was the only group stupid enough to put "My Documents" on C:, but
>> apparently someone in IBM was also that stupid. I might try some
>> experimenting to see whether I can move it.
>
> Again, the same would go for VT. I think this was a hangover from the
>  early days of Warp3, where everything went on the one drive (like
> windows). That's not a worry for me, as I can access my relevant
> IBMWorks file on another non-boot partition, which I back up.

I wonder whether Serenity and/or IBM know how popular IBM Works is. I
don't use the "main" part of IBM Works at all (spreadsheet, word
processor, etc.) because OpenOffice is better. On the other hand, its
"PIM" applications (calendar, appointments, to-do list, etc.) are far
better than any competing application I've tried. I suspect that this is
an under-appreciated aspect of OS/2 that doesn't get enough publicity.

I'm pleased to see that you managed to install IBM Works on a non-boot
partition. I still have the intention of doing that. The eCS 2.0
installer did allow me to specify D:\PROGRAMS as the place to install
applications, but a couple of applications failed to install because
C:\PROGRAMS did not exist. Why did so many programmers think that
everything had to go on drive C:? Even in the Warp 3 days I was
conscious of the fact that we should use separate partitions for
"system" and "user". Indeed, in the Warp 3 days /nothing/ went on drive
C: - we were all conscious that drive C: had to be reserved for
Microsoft, which didn't understand any other drive letter. By now we
understand that there's no point in reserving anything for Microsoft, so
OS/2 goes back on drive C:. But only the operating system. Not the
applications, not the user data. They belong on other drives.

My present hard drive has 40 GB. That's partitioned into 2 GB for OS/2,
and 36 GB for everything else. (If the arithmetic doesn't add up, blame
the drive manufacturers whose definition of "gigabyte" is different from
everyone else's.) In the past I tended to divide my drives into 2 GB
partitions. Now I have only a single 2 GB partition for the operating
system, and leave the rest for everything else. JFS has made a big
difference for me. By the way, letting C: be a bootable JFS partition
has meant, for me, that eCS 2.0 is a lot faster than eCS 1.2.

(My laptop, running Windows 7, follows different rules. There, it seems
that then entire 40GB is needed for the OS, and if any applications can
fit into that space then that's a bonus. No wonder external hard drives
are selling so well.)

It's many years since I tried VoiceType. In the distant past I dumped it
because I couldn't do a good American accent. Given that I once lived in
the USA for a year, during which time I learnt to speak Northern
Californian, I should probably try it again. It's true that Florida
English, which I think is what was VT was programmed to recognise, is
noticeably different from Californian, but I might be able to train
myself to imitate it. My past experience says that there is no way to
train VT to understand Australian English.

>> I'm now about to start phoning around to find out when my
>> appointments are.
>
> All the best. :-)

By now I have tracked down all the appointments I know about. (Including
one for tomorrow, which I thought was next week, so it's a good thing I
started checking today.) The only uncertain ones are the ones I don't
know about, and I'll just have to give up on those.

Meanwhile, I still have to program my grandchildrens' birthdays into IBM
Works. The birthdays of my children and my brothers and sisters are, of
course, less urgent.
 
-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   1 ==========================**

Date:  Thu, 10 Jun 2010 04:50:42 +0930
From:  Wayne <smee.wayne at gmail dot com>
Subject:  Re:  How to install IBM Works?

** Reply to note from Peter Moylan <peter at pmoylan dot org> Thu, 10 Jun 2010
00:15:39 +1000
 >> I now know why I lost all my data. The IBM Installer for IBM Works
 >> doesn't give you a choice of which partition to put it on, so it
 >> ends up on drive C:, which is the one place you should never put
 >> personal files. (Because you'll lose them on a system upgrade. I
 >> don't put application files there either.) I thought that Microsoft
 >> was the only group stupid enough to put "My Documents" on C:, but
 >> apparently someone in IBM was also that stupid. I might try some
 >> experimenting to see whether I can move it.

Hi Peter

You can move the IBMWORKS dir anywhere you want, then change
config.sys to suit.  It may also be necessary to run IBMWDESK.CMD
(somewhere in IBMWORKS dir) to update desktop icons.

HTH
Wayne

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===